; This software falls under the GNU general public license version 3 or later.
; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>
; Author: Lorenzo Lunelli
; add simple menu to control OctaveX behavior
; v 0.1 06-09-2020
; v 0.1.1 20-09-2020 - removed some small bugs in scheme expressions

(define (octaveXverbose)
  (insert "tmverb")
  (session-evaluate))

(define (ocatveXtmfig)
  (insert "tmfig")
  (session-evaluate))

(define (octaveXtmnormal)
  (insert "tmmod(0)")
  (session-evaluate))

(define (octaveXtminteractive)
  (insert "tmmod(1)")
  (session-evaluate))


(menu-bind texmacs-extra-icons
  (former)
  (if (in-octaveX?)
      ---
      (=> "OctaveX menu"
	  ("Evaluate All" (session-evaluate-all))
	  ---
	  ("Toggle Verbose Mode" (octaveXverbose))
      ("Insert Interactive Figure" (ocatveXtmfig))
	  (->"Set Graphics Mode"
	  ("Normal" (octaveXtmnormal))
	  ("Interactive" (octaveXtminteractive)))
	  (->"Set Default Graphics Toolkit"
	  ("qt" (eval-system "octave-cli --eval \"setpref('OctaveX','DEF_GTKIT','qt')\""))
	  ("fltk" (eval-system "octave-cli --eval \"setpref('OctaveX','DEF_GTKIT','fltk')\""))
	  ("gnuplot" (eval-system "octave-cli --eval \"setpref('OctaveX','DEF_GTKIT','gnuplot')\"")))
	  ---
	  ("Show OctaveX Prefs" (insert "tmprefs") (session-evaluate))
	  ("Show OctaveX version" (insert "tmvers") (session-evaluate))
)))

; icon bar 3 is the user defined icons bar
;(if (in-octaveX?)
(if (not (visible-icon-bar? 3)) (toggle-visible-icon-bar 3));)

